For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
LogoLogo
BlogLogin
API Referencemedia

List

GET
https://api.flockx.io/api/v1/media
GET
/api/v1/media
$curl https://api.flockx.io/api/v1/media \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "created": "foo",
6 "modified": "foo",
7 "name": "foo",
8 "url": "foo",
9 "source_url": "foo",
10 "description": "foo",
11 "status": "foo",
12 "format": "",
13 "resource_type": "",
14 "width": 0,
15 "height": 0
16 }
17 ],
18 "meta": {
19 "total": 42,
20 "has_next": true,
21 "has_previous": true,
22 "page": 42
23 }
24}
List Media of the current active organization with applied filters
Was this page helpful?
Previous

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
twin_idstring or nullOptionalformat: "uuid"Deprecated
Use twin instead
twinstring or nullOptionalformat: "uuid"
community_idstring or nullOptionalformat: "uuid"Deprecated
Use community instead
communitystring or nullOptionalformat: "uuid"
organization_idstring or nullOptionalformat: "uuid"Deprecated
Use organization instead
organizationstring or nullOptionalformat: "uuid"
resource_typestring or nullOptional
formatstring or nullOptional
knowledge_graphstring or nullOptionalformat: "uuid"

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error